{
  "name": "frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "lint": "eslint .",
    "preview": "vite preview"
  },
  "dependencies": {
    "@nivo/bar": "^0.99.0",
    "@nivo/waffle": "^0.99.0",
    "@tanstack/react-query": "^5.85.5",
    "@types/d3-geo": "^3.1.0",
    "@types/d3-shape": "^3.1.7",
    "axios": "^1.11.0",
    "d3-geo": "^3.1.1",
    "d3-shape": "^3.2.0",
    "react": "^19.1.1",
    "react-dom": "^19.1.1",
    "react-pdf": "^10.1.0",
    "react-select": "^5.10.2",
    "react-simple-maps": "github:ozimmortal/react-simple-maps#feat/react-19-support",
    "react-tooltip": "^5.29.1"
  },
  "devDependencies": {
    "@eslint/js": "^9.33.0",
    "@types/geojson": "^7946.0.16",
    "@types/react": "^19.1.10",
    "@types/react-dom": "^19.1.7",
    "@types/react-select": "^5.0.0",
    "@vitejs/plugin-react": "^5.0.0",
    "eslint": "^9.33.0",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.20",
    "globals": "^16.3.0",
    "typescript": "~5.8.3",
    "typescript-eslint": "^8.39.1",
    "vite": "^7.1.2"
  }
}
